# 62. Mutation: 農場を共有

組織内のユーザーまたは外部ユーザーに対する一括農場共有。それを行うミューテーションには2つのケースがあります。最初のケースはメールリストによる一括「Farm」共有です。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    名前
    farmOwnership
    作成日
    updatedDate
    email
  }
}

```

{% endcode %}

第2のケースは「Organization」の「Users」リストに対してフラグ allFarms=true を設定することで、これは組織内のすべての新しい農場がこれらの「Users」にアクセス可能になることを意味します。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    名前
    farmOwnership
    作成日
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/62-mutation-wo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
